OAM Managed Server Node 2 "oracle.xml.parser.v2.XMLParseException: Element 'poolCleanupInterval' not expected" After 11gR2PS2 Upgrade (Doc ID 1668845.1)

Last updated on NOVEMBER 03, 2016

Applies to:

Oracle Platform Security for Java - Version 11.1.1.7.0 and later
Oracle Virtual Directory - Version 11.1.2.0 to 11.1.2.0
Information in this document applies to any platform.

Symptoms

On : 11.1.1.7.0 version, Java Platform Security

After upgrading OAM 11gR1 to OAM 11gR2 PS2 in a two node cluster, oam_server2 fails to start. (Note that issue is not necessarily specific to OAM)
the following error occurs in the oam_server2-diagnostic.log.

####<Mar 12, 2014 11:27:31 AM PDT> <Critical> <WebLogicServer> <access_02> <oam_server2> <main> <<WLS Kernel>> <> <> <1394648851399> <BEA-000386> <Server subsystem failed. Reason: weblogic.security.SecurityInitializationException: The loading of OPSS java security policy provider failed due to exception, see the exception stack trace or the server log file for root cause. If still see no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: JPS-02592: Failed to push ldap config data to libOvd for service instance "idstore.ldap" in JPS context "default", cause: oracle.xml.parser.v2.XMLParseException: Element 'poolCleanupInterval' not expected.

 

Changes

 The issue was encountered during upgrade where a pre-requisite LibOVD patch had not been applied in the oracle_common home. The same issue is also known to apply to other products such as Web Centre Content (WCC) and Univeral Content Management (UCM).

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms